ClarisWksDatabaseInternal::State Struct Reference

Internal: the state of a ClarisWksDatabase. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

std::map< int, std::shared_ptr< Database > > | m_databaseMap

## Detailed Description

Internal: the state of a ClarisWksDatabase.

## Constructor & Destructor Documentation

## State()

ClarisWksDatabaseInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_databaseMap

std::map<int, std::shared_ptr<Database> > ClarisWksDatabaseInternal::State::m_databaseMap

Referenced by State().

The documentation for this struct was generated from the following file:

- ClarisWksDatabase.cxx